## xfce4-hotcorner-plugin 0.0.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(xfce4-hotcorner-plugin C)

SET(VERSION 0.0.2)
 
FIND_PACKAGE(PkgConfig REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
include(GNUInstallDirs)

PKG_CHECK_MODULES(GTK REQUIRED libxfce4panel-1.0 libxfce4ui-1 libwnck-3.0)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
 
INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
LINK_DIRECTORIES(${GTK_LIBRARY_DIRS})
ADD_DEFINITIONS(
  ${GTK_CFLAGS_OTHER} 
  -DWNCK_I_KNOW_THIS_IS_UNSTABLE=1
  -DGETTEXT_PACKAGE="${PROJECT_NAME}" 
  -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
)


ADD_LIBRARY(hotcorner SHARED src/hotcorner.c src/util.c)
 
TARGET_LINK_LIBRARIES(hotcorner ${GTK_LIBRARIES})

INSTALL(TARGETS hotcorner  LIBRARY DESTINATION lib/xfce4/panel/plugins/)
INSTALL(FILES hotcorner.desktop DESTINATION share/xfce4/panel/plugins/)
GETTEXT_CREATE_TRANSLATIONS(po/xfce4-hotcorner-plugin.pot ALL po/zh_TW.po)

=== debian/changelog ===
xfce4-hotcorner-plugin (0.0.2-1mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Jul 2019 12:19:23 -0700

xfce4-hotcorner-plugin (0.0.2-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17 

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 28 Jul 2017 13:38:37 -0400

xfce4-hotcorner-plugin (0.0.2-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 19 Aug 2015 16:33:32 -0700

xfce4-hotcorner-plugin (0.0.2-0ubuntu1~15.10) wily; urgency=medium

  * new upstream release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 1 July 2015 23:05:47 +0800

=== debian/control ===
Source: xfce4-hotcorner-plugin
Section: xfce
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jackson Doak <noskcaj@ubuntu.com>
Build-Depends:
 cmake,
 debhelper (>= 9),
 libgtk2.0-dev,
 libwnck-3-dev,
 libxfce4ui-1-dev,
 xfce4-dev-tools,
 xfce4-panel-dev
Standards-Version: 3.9.6

Package: xfce4-hotcorner-plugin
Section: xfce
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: xfce4 panel plugin to let users set hotcorner actions
 Provides an easy to use xfce4 panel plugin to let users set hotcorner actions.
 Currently it supports the following operation in primary display:
  - xfdashboard
  - toggle desktop
  - start screensaver
  - turn off monitor
  - run custom command

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# needed to prevent FTBFS on MX 14's gcc 4.7, comment out for MX 15+
export CFLAGS=-fPIC

%:
	dh $@ --parallel

override_dh_builddeb:
	dh_builddeb -- -Z xz

=== debian/watch ===
version=3
http://archive.xfce.org/src/panel-plugins/xfce4-hotcorner-plugin/([\d\.]+)/ \
	xfce4-hotcorner-plugin-([\d\.]+)\.tar\.(?:gz|bz2)
